Bug 221052 - unable to load plugin gaim-rhythmbox
unable to load plugin gaim-rhythmbox
Product: Fedora
Classification: Fedora
Component: gaim-rhythmbox (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-31 09:08 EST by renke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-06 21:32:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description renke 2006-12-31 09:08:41 EST
with x86_64 I get the error:

plugins: /usr/lib64/gaim/gaim-rhythmbox.so is unloadable: liboscar.so: Kann die
Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden

(last part is German, means 'unable to open shared-object-file: file or folder
not found')

I use gaim 1:1.5.0-16.fc5 and gaim-rhythmbox, both for

Is this problem known and maybe fixed in FC6 (one factor more for me to upgrade...)

Thanks, happy new year,
Comment 1 Michael Schwendt 2007-01-02 05:19:33 EST
liboscar.so is another GAIM module in /usr/lib64/gaim/liboscar.so
As why it isn't found needs the investigation from somebody with
an x86_64 machine. In the source it's linked as -loscar, which would
fail at run-time when it's located in /usr/lib64/gaim/ which is
outside run-time linker's search path.

FC6 doesn't appear to be affected.
Comment 2 Michel Alexandre Salim 2007-01-06 16:25:46 EST
FC6 uses a different version of the plugin. The easy solution is to install
FC6's gaim and gaim-rhythmbox on your FC5 system.

I'll take a look at the problem this weekend.
Comment 3 Michel Alexandre Salim 2007-01-06 21:32:58 EST
Fixed in the next version. Before it's available in the repository, you can run
gaim with LD_LIBRARY_PATH set to /usr/lib64/gaim

Note You need to log in before you can comment on or make changes to this bug.